Bug 250450 - korganizer then print ToDo's should have as options StartDate and Categories
Summary: korganizer then print ToDo's should have as options StartDate and Categories
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: printing (show other bugs)
Version: 4.4.2
Platform: Ubuntu Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-07 15:02 UTC by Iouri Atiounkine
Modified: 2021-06-03 02:00 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Iouri Atiounkine 2010-09-07 15:02:55 UTC
Version:           4.4.2 (using KDE 4.3.1) 
OS:                Linux

korganizer then print ToDo's should have as options StartDate and Categories.
Now you can select some data to print, but not yet StartDate and Categories.

I need options to the existing printing dialog to select the columns with StartDate and Categories for print. 


Reproducible: Always

Steps to Reproduce:
Try to print todos. No such option to select StartDate and Categories to print.

Actual Results:  
StartDate and Categories don't print.

Expected Results:  
StartDate and Categories should be printed.

OS: Linux (i686) release 2.6.32-308-ec2
Compiler: cc
Comment 1 Bug Janitor Service 2021-06-02 02:37:26 UTC
A possibly relevant merge request was started @ https://invent.kde.org/pim/calendarsupport/-/merge_requests/10
Comment 2 gjditchfield 2021-06-03 02:00:35 UTC
Git commit 6bfd7309f3196c5f147a7c2389cc84394ca477db by Glen Ditchfield, on behalf of Glen Ditchfield.
Committed on 03/06/2021 at 01:53.
Pushed by gditchfield into branch 'master'.

Allow inclusion of categories and start dates in the printed to-do list

 * Added check boxes to the configuration dialog to allow inclusion of
   the to-do categories (tags) and start date.
 * Added optional headers and data colums to the print-out.
Related: bug 150685, bug 195779

M  +40   -17   src/printing/calprintdefaultplugins.cpp
M  +2    -0    src/printing/calprintdefaultplugins.h
M  +82   -39   src/printing/calprintpluginbase.cpp
M  +44   -5    src/printing/calprintpluginbase.h
M  +60   -12   src/printing/calprinttodoconfig_base.ui

https://invent.kde.org/pim/calendarsupport/commit/6bfd7309f3196c5f147a7c2389cc84394ca477db